Puppy Linux Discussion Forum Forum Index Puppy Linux Discussion Forum
Puppy HOME page : puppylinux.com
"THE" alternative forum : puppylinux.info
 
 FAQFAQ   SearchSearch   MemberlistMemberlist   UsergroupsUsergroups   RegisterRegister 
 ProfileProfile   Log in to check your private messagesLog in to check your private messages   Log inLog in 

The time now is Thu 24 Apr 2014, 21:35
All times are UTC - 4
 Forum index » Advanced Topics » Cutting edge
Precise Puppy RC2, October 20, 2012
Moderators: Flash, Ian, JohnMurga
Post new topic   Reply to topic View previous topic :: View next topic
Page 30 of 59 [875 Posts]   Goto page: Previous 1, 2, 3, ..., 28, 29, 30, 31, 32, ..., 57, 58, 59 Next
Author Message
bigpup


Joined: 11 Oct 2009
Posts: 4631
Location: Charleston S.C. USA

PostPosted: Fri 31 Aug 2012, 21:38    Post subject:  

rerwin wrote:
bigpup wrote:
01micko wrote:
Those having trouble with nouveau (ie nvidia cards) could try puppy pfix=ram nouveau.modeset=0 at CD boot or on the kernel line.

Added nouveau.modeset=0 to end of kernel line.
That fixed it.
Booted to normal desktop and menus.
Still set at 16-bit color depth in xorg.conf

bigpup,
I "took a shot at" an automated setting of mode 0 for the nVidia Quadro FX 330 GeForce PCX 5300 (NV37GL) graphics card, so that you should not have to enter the modeset argument on the kernel line. This is the same technique I used in lucid pup for the Brookdales.

Could you try the attached package without using the kernel argument, to see if it takes care of the screen problem and does not cause any other problem?

Just in case I guessed wrong about the hardware IDs, could you post or PM the output of "lspci -nn" (the part for the graphics card) and "grep '10de' /tmp/udevtrace.log"?
Richard

Frugal install with save file.
The pet does not work for me, but I may be using it wrong.
I got back to using nouveau driver.
Installed pet.
Rebooted.
Boots to point of running X server and stops with blinking line top left of screen.
Am I doing it right?

Output of:
lspci -nn:
01:00.0 VGA compatible controller [0300]: nVidia Corporation NV37GL [Quadro PCI-E Series] [10de:00fd] (rev a2)

sh-4.1# grep '10de' /tmp/udevtrace.log
add_0000:01:00.0_pci_0x10de_0x00fd_pci:v000010DEd000000FDsv000010DEsd00000215bc03sc00i00
sh-4.1#

_________________
I have found, in trying to help people, that the things they do not tell you, are usually the clue to solving the problem.
When I was a kid I wanted to be older.... This is not what I expected Shocked
Back to top
View user's profile Send private message 
BHINTZ

Joined: 08 Aug 2006
Posts: 137

PostPosted: Fri 31 Aug 2012, 23:09    Post subject: suspend/resume  

yr1945, I appreciate your response, but I have exhausted my limited skills searching for the pets you reference.

Now I need some guidance to find them.

bob
Back to top
View user's profile Send private message 
rerwin


Joined: 24 Aug 2005
Posts: 1469
Location: Maine, USA

PostPosted: Fri 31 Aug 2012, 23:33    Post subject: function4puppy4 corrections, take 4  

Barry,
I tested forcing ("adding") use of a module that has a firmware package and found the the package still does not get copied into place. That was the major reason I updated functions4puppy4 -- to obtain firmware from a directory instead of a tarball. Here is a corrected version and the related difference file.

Please consider adding this to woof before releasing a precise candidate. Thanks.
Richard
diff-functions4puppy4.txt.gz
Description 
gz

 Download 
Filename  diff-functions4puppy4.txt.gz 
Filesize  796 Bytes 
Downloaded  123 Time(s) 
corrected_functions4puppy4-4.pet
Description 
pet

 Download 
Filename  corrected_functions4puppy4-4.pet 
Filesize  4.18 KB 
Downloaded  128 Time(s) 

Last edited by rerwin on Sat 01 Sep 2012, 00:13; edited 1 time in total
Back to top
View user's profile Send private message 
Billtoo


Joined: 07 Apr 2009
Posts: 1936
Location: Ontario Canada

PostPosted: Fri 31 Aug 2012, 23:34    Post subject: Precise Puppy beta4, August 30, 2012
Subject description: vlc-2.0.3 and qt-4.8.2
 

I compiled vlc-2.0.3 and qt-4.8.2 in precise puppy.

vlc is about a 12mb download and qt-4.8.2 is about 45mb.

The download link for qt is:

http://www.datafilehost.com/download-97ac889a.html

The download link for vlc is:

http://www.datafilehost.com/download-bc2923b8.html
screenshot.jpg
 Description   
 Filesize   76.89 KB
 Viewed   640 Time(s)

screenshot.jpg

Back to top
View user's profile Send private message 
yr1945

Joined: 17 Apr 2010
Posts: 132

PostPosted: Sat 01 Sep 2012, 00:06    Post subject: @BHINTZ... I EDITED MY RESPONSE
Subject description: SUSPEND / RESUME
 

BHINTZ... THE DATA BELOW HAS BEEN EDITED... INITIALLY, I GAVE YOU THE WRONG ACPITOOL... THE ONE BELOW SHOULD WORK...

i have very, very limited knowledge, too...

PupShutdown 1.8.1 is at http://www.smokey01.com/radky/

Acpitool 0.5.1-2-i486 is at http://www.smokey01.com/saluki/pet_packages-saluki/

that's about all i know on this topic...

good luck... yr1945

Last edited by yr1945 on Sat 01 Sep 2012, 09:35; edited 2 times in total
Back to top
View user's profile Send private message 
rerwin


Joined: 24 Aug 2005
Posts: 1469
Location: Maine, USA

PostPosted: Sat 01 Sep 2012, 00:10    Post subject:  

bigpup wrote:
Frugal install with save file.
The pet does not work for me, but I may be using it wrong.
I got back to using nouveau driver.
Installed pet.
Rebooted.
Boots to point of running X server and stops with blinking line top left of screen.
Am I doing it right?

Output of:
lspci -nn:
01:00.0 VGA compatible controller [0300]: nVidia Corporation NV37GL [Quadro PCI-E Series] [10de:00fd] (rev a2)

sh-4.1# grep '10de' /tmp/udevtrace.log
add_0000:01:00.0_pci_0x10de_0x00fd_pci:v000010DEd000000FDsv000010DEsd00000215bc03sc00i00
sh-4.1#
Thanks, bigpup, for trying the pet package. Given the info you provided, it would seem that the logic should work as intended for your card. The main thing to verify is that there is a hidden flag file:
/tmp/.nouveau_modeset_0.
(Click the eye option in rox, to see it.)

If it is not present, then the rules file is faulty. If it is present, then either the config file is incorrect or the flag gets set too late for the loading of the module. Both pieces were cloned from the lucid pup files for the i915 module.

With the i915 case, when used outside of the lupu distro (with other kernels), the results were intermittent at best. So, this technique may be inadequate.

Another way to test the concept is to restore the version of nouveau.conf that sets the mode to 1 and modify it to set 0. If that works, it would confirm that the flag is too late.
Richard
Back to top
View user's profile Send private message 
mrokosz

Joined: 28 Jan 2012
Posts: 25

PostPosted: Sat 01 Sep 2012, 03:43    Post subject:  

VLC posted earlier on this forum does not work, but vlc based on gtk posted by Pemasu works great.
Back to top
View user's profile Send private message 
BarryK
Puppy Master


Joined: 09 May 2005
Posts: 7047
Location: Perth, Western Australia

PostPosted: Sat 01 Sep 2012, 04:00    Post subject:  

01micko wrote:
There is a bug in report-video if xorgwizard is used to generate xorg.conf. In the case of radeon. On probing, fbdev and vesa are inserted in the xorg.conf as fallbacks I presume. When studying the /var/log/Xorg.0.log it is clear that radeon is loaded and working correctly. I used xorgwizard to get 24bit colour depth as the auto config was 16 (see above). Here is the out put of report-video:
Code:
# report-video
Precise Puppy, version 5.2.72 on Thu 30 Aug 2012

Chip description:
 0.0 VGA compatible controller
 Advanced Micro Devices [AMD] nee ATI Cedar PRO [Radeon HD 5450] 
oem: ATI ATOMBIOS)
product: CEDAR 01.00
 
X Server: Xorg
Driver used: vesa

X.Org version: 1.11.3
  dimensions:    1366x768 pixels (361x203 millimeters)
  depth of root window:    24 planes

   ...the above also recorded in /tmp/root/ as report-video,
and archived with xorg.conf and Xorg.0.log as report-video-full.gz


Here is the offending line in report-video; (@line 69)
Code:
# grep '^.*Driver ' /etc/X11/xorg.conf | grep -iv '^#\|mouse\|kbd\|synaptics'
   ### Available Driver options are:-
   Driver      "radeon" #card0driver
   ### Available Driver options are:-
   Driver      "fbdev"
   ### Available Driver options are:-
   Driver      "vesa"
...piped to tail -1 which gives the vesa result. Perhaps we should go back to the old method of scanning for #card0driver if a full xorg.conf is present.

xorg.conf and Xorg.0.log attched


It looks like the syntax of line 69 is wrong. Try this:

Code:
grep '^.*Driver ' /etc/X11/xorg.conf | grep -i -v -E '^#|mouse|kbd|synaptics'


Well, no, this would be better:

Code:
grep '^[^#]*Driver ' /etc/X11/xorg.conf | grep -i -v -E 'mouse|kbd|synaptics'


...the first grep will find any line with "Driver " in it and not preceded by a "#" -- and the grep will pickup a # anywhere before "Driver " not just in column 1.

_________________
http://bkhome.org/news/
Back to top
View user's profile Send private message Visit poster's website 
BarryK
Puppy Master


Joined: 09 May 2005
Posts: 7047
Location: Perth, Western Australia

PostPosted: Sat 01 Sep 2012, 04:31    Post subject: Re: zoneinfo at beta4  

shinobar wrote:
Still i cannot find 'Asia/Tokyo' in timezone selection, but found 'Japan'.

For a fix, the 'find' command need '-L' option:
/usr/sbin/quicksetup line 417 is to be
Code:
  ZONEINFO="`find -L /usr/share/zoneinfo -type f | grep -v '\.tab$' | grep -v -E 'Greenwich|UCT|Universal|Zulu|posix|right' | sed -e 's%/usr/share/zoneinfo/%%' | sed -e 's%Etc/%%' | tr ' ' '_' | sort | tr '\n' ' '`"


Thanks, I have applied a fix, a bit different. It will be in next upload of Woof.

_________________
http://bkhome.org/news/
Back to top
View user's profile Send private message Visit poster's website 
BarryK
Puppy Master


Joined: 09 May 2005
Posts: 7047
Location: Perth, Western Australia

PostPosted: Sat 01 Sep 2012, 04:34    Post subject:  

LateAdopter wrote:
Hello Billtoo

According to Xorg your RV530 is supported by the r300g driver which has gallium 3D built-in

But in this puppy /usr/lib/dri/r300_dri.so is missing, while r600_dri.so is there.

I expect you could get it from the Ubuntu repo. Then it should work.

There is some r300 firmware already but I don't know whether it is complete.

A search of the Ubuntu repo for r300 would show you.

I expect r100 and r200 stuff also needs to be added to this puppy for other cards.


The third beta4, 5.2.73, has r300_dri.so.

_________________
http://bkhome.org/news/
Back to top
View user's profile Send private message Visit poster's website 
Ray MK


Joined: 05 Feb 2008
Posts: 753
Location: UK

PostPosted: Sat 01 Sep 2012, 04:36    Post subject:  

JFYI - 5.2.73 seems fine on my 10 yr old Acer laptop.
All three Beta 4‘s seem very good with no obvious failures.

Users with more recent laptops and built in wifi might find it more convenient to have a suspend / resume option in the final build - providing of course it does not introduce potential failure or complication.

If I had to choose one, difficult choice, but would probably go for 5.2.72 - just seems slightly more responsive with no apparent penalties.

Many thanks again for all that you do - very best regards - Ray
sys-info-120901.gz
Description 
gz

 Download 
Filename  sys-info-120901.gz 
Filesize  11.68 KB 
Downloaded  120 Time(s) 

_________________
Acer 243LC laptop. 384mb ram. 2.5Ghz Celeron proc. 30gb hdd. Asus 701SD. 512mb ram. 8gb SSD. IBM A21m laptop. 192mb ram. PIII Coppermine proc. X60 T2400 1.8Ghz proc. 2gig ram. 80gb hdd. T41 Pentium M. 512mb ram.
Back to top
View user's profile Send private message 
BarryK
Puppy Master


Joined: 09 May 2005
Posts: 7047
Location: Perth, Western Australia

PostPosted: Sat 01 Sep 2012, 04:39    Post subject:  

feelsub wrote:
Precise beta3 on core5, 4gb ram


We are currently testing beta4, all three of them (5.2.71, 5.2.72, 5.2.73) -- see my blog for explanation of differences.

_________________
http://bkhome.org/news/
Back to top
View user's profile Send private message Visit poster's website 
BarryK
Puppy Master


Joined: 09 May 2005
Posts: 7047
Location: Perth, Western Australia

PostPosted: Sat 01 Sep 2012, 04:52    Post subject: Re: Merging Precise-Updates  

LateAdopter wrote:
I failed the intelligence test on merging precise-updates in the Package Manager

When doing an update it asks whether you want to merge and says Enter to decline. But I couldn't work out what to do to accept.

I ended up with separate databases for the updates.

The trouble is that, if you want to install from the update, the package manager only offers local files and not the repo.

Any suggestion as to how I accept merging the databases?

Thanks


Oh, yes. I use that script in Woof, where we usually know that pressing any other printable character then press ENTER, means the opposite of just ENTER.

Ok, I have improved the explanation. This is script '0setup' in Woof.

Apart from that, why are you upgrading the package lists? There is no need to. You are testing Precise Puppy beta4, which is built with the latest package lists.
This will always be the situation, if you are using a recently-Woof-built Puppy.

_________________
http://bkhome.org/news/
Back to top
View user's profile Send private message Visit poster's website 
BarryK
Puppy Master


Joined: 09 May 2005
Posts: 7047
Location: Perth, Western Australia

PostPosted: Sat 01 Sep 2012, 04:55    Post subject:  

mavrothal wrote:
feelsub wrote:

Unfortunately, in PPM no simple image editor ( rotate, lossless crop, compress)
....


Download and activate the ubuntu-universe repo that is not included in 5.2.7x. Has most of these.
BTW you may want to inactivate one of the activated repos since PPM has trouble handling more than 5.


The next release will have a more sensible default list of repos, including 'universe'.

_________________
http://bkhome.org/news/
Back to top
View user's profile Send private message Visit poster's website 
BarryK
Puppy Master


Joined: 09 May 2005
Posts: 7047
Location: Perth, Western Australia

PostPosted: Sat 01 Sep 2012, 05:41    Post subject:  

scabz wrote:
feelsub wrote:
Precise beta3 on core5, 4gb ram

Seeems promising, but:

Bug: Gimp 2.8.x or LibreOffice installs correctly, but at run I get a :
Opening '/root/%U' failed: No such file or directory

Unfortunately, in PPM no simple image editor ( rotate, lossless crop, compress)
No : Picasa, gThumb, F-Spot, Gimp 2.8.2 (but 2.6.x and fails to run)
http://www.linuxplanet.com/linuxplanet/tutorials/7152/1

http://techcityinc.com/2009/03/23/10-best-image-viewers-for-linux/

I also regret the absence in PPM of Chrome 21.x
I didn't check about availabilty &run of photorec6.14, skype, openshot 1.4.x, mediatagger.

I would also head for ffmpeg 0.11 latest build ( has fixes for synch issues - some I reported - before official 0.11.2) as supports more codecs including wma lossless.

Thanks

In the meantime I revert to lupulibre528.005-2


if the gimp 2.8.2 i post is the one you installed it should not have the Opening '/root/%U' failed: No such file or directory problem, i always fix that, it is in the .desktop file located at /usr/share/applications/gimp.desktop , where it say Exec=gimp-2.8 %U remove the "%U". again my pet should not have that problem i always fix that. if it does that for LibreOffice then it is the same way to fix it.


Ok, I have applied a generic fix in PPM. See comment in my blog post:

http://bkhome.org/blog/?viewDetailed=02979

_________________
http://bkhome.org/news/
Back to top
View user's profile Send private message Visit poster's website 
Display posts from previous:   Sort by:   
Page 30 of 59 [875 Posts]   Goto page: Previous 1, 2, 3, ..., 28, 29, 30, 31, 32, ..., 57, 58, 59 Next
Post new topic   Reply to topic View previous topic :: View next topic
 Forum index » Advanced Topics » Cutting edge
Jump to:  

You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum
You cannot attach files in this forum
You can download files in this forum


Powered by phpBB © 2001, 2005 phpBB Group
[ Time: 0.1073s ][ Queries: 13 (0.0152s) ][ GZIP on ]